$size-cube-1250: 17vw;
$size-cube-720: 27vw;
$size-cube-470: 44vw;

.header {
  &-title {
    color: rgba(164, 225, 65, 1);
    font-size: 3rem;
  }

  .centered-content {
    height: 10vh;
    margin-bottom: 10vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;

    & .tabs {
      display: flex;
      position: absolute;
      list-style: none;
      padding-left: 0;

      & .tabs-title {
        padding: 2vw;

        @media (min-width: 720px) {
          padding: 1.5vw;
        }

        @media (min-width: 1250px) {
          padding: 1vw;
        }

        background-color: #23201D;
        color: rgba(164, 225, 65, 1);
        cursor: pointer;
        text-decoration: none;
      }

      & .tabs-title.active {
        background-color: rgba(164, 225, 65, 1);
        color: #23201D;
        transition: .5s;
      }
    }
  }

  .box {
    width: 100vw;
    height: 80vh;
    //overflow: hidden;

    & .wrapper {
      position: relative;
      margin: 160px auto;
      width: $size-cube-470;
      height: $size-cube-470;

      @media (min-width: 720px) {
        width: $size-cube-720;
        height: $size-cube-720;
      }

      @media (min-width: 1250px) {
        width: $size-cube-1250;
        height: $size-cube-1250;
      }

      perspective: 500px;

      & .cube {
        width: inherit;
        height: inherit;
        transform-style: preserve-3d;
        transition: 1s;
        animation: animation 1s ease-in-out;

        & .side {
          position: absolute;
          width: inherit;
          height: inherit;
          text-align: center;

          font: normal calc($size-cube-470 / 5) Arial;
          line-height: $size-cube-470;

          @media (min-width: 720px) {
            font: normal calc($size-cube-720 / 5) Arial;
            line-height: $size-cube-720;
          }

          @media (min-width: 1250px) {
            font: normal calc($size-cube-1250 / 5) Arial;
            line-height: $size-cube-1250;
          }

          color: black;
          background-color: rgba(164, 225, 65, .6);
        }

        & .front {
          transform: translateZ(calc($size-cube-470 / 2));
        }

        & .back {
          transform: rotateY(180deg) translateZ(calc($size-cube-470 / 2));
        }

        & .right {
          transform: rotateY(90deg) translateZ(calc($size-cube-470 / 2));
        }

        & .left {
          transform: rotateY(-90deg) translateZ(calc($size-cube-470 / 2));
        }

        & .top {
          transform: rotateX(90deg) translateZ(calc($size-cube-470 / 2));
        }

        & .bottom {
          transform: rotateX(-90deg) translateZ(calc($size-cube-470 / 2));
        }

        @media (min-width: 720px) {
          & .front {
            transform: translateZ(calc($size-cube-720 / 2));
          }

          & .back {
            transform: rotateY(180deg) translateZ(calc($size-cube-720 / 2));
          }

          & .right {
            transform: rotateY(90deg) translateZ(calc($size-cube-720 / 2));
          }

          & .left {
            transform: rotateY(-90deg) translateZ(calc($size-cube-720 / 2));
          }

          & .top {
            transform: rotateX(90deg) translateZ(calc($size-cube-720 / 2));
          }

          & .bottom {
            transform: rotateX(-90deg) translateZ(calc($size-cube-720 / 2));
          }
        }

        @media (min-width: 1250px) {
          & .front {
            transform: translateZ(calc($size-cube-1250 / 2));
          }

          & .back {
            transform: rotateY(180deg) translateZ(calc($size-cube-1250 / 2));
          }

          & .right {
            transform: rotateY(90deg) translateZ(calc($size-cube-1250 / 2));
          }

          & .left {
            transform: rotateY(-90deg) translateZ(calc($size-cube-1250 / 2));
          }

          & .top {
            transform: rotateX(90deg) translateZ(calc($size-cube-1250 / 2));
          }

          & .bottom {
            transform: rotateX(-90deg) translateZ(calc($size-cube-1250 / 2));
          }
        }
      }
    }
  }
}
